Subject: RE: [MMUSIC] media source ip/port in SDP

From: "Mark Watson" <[email-masked]>
Date: Thu, 13 Jun 2002 13:26:09 +0100

Jonathan,

Thanks for your response - it confirms what I had suspected.

Quick follow-up on the RTCP below.
 
> > 
> > As an aside, should RTCP reports be sent to the address received as
> > source address in incoming RTP packets, or should they be 
> sent to the
> > same address as outgoing RTP packets ? If the latter (and 
> the addresses
> > are different),
> 
> Unless signaled explicitly with the sdp4nat extension, RTCP 
> is sent to 
> the same address as RTP, but on a port higher.
> 
>   why is the media sink device of my correspondant
> > interested in RTCP reports for packets generated by the media source
> > device, which has a separate network interface ?
> 
> Why would RTP and RTCP be on different network interfaces??

Suppose I am corresponding with someone whose microphone and speakers are
separate devices, with their own IP addresses (=> network interfaces).

I receive RTP packets from the microphone, and send RTP packets to the
speakers. I guess I was thinking of RTCP Receiver Report information, which
contains information about the packets I have received from the microphone
device. Obviously, the microphone device is most interested in these, but I
will send them to the speakers (same place as RTP packets).

I suppose I will actually send a Sender Report, continaing count of RTP
packets I have sent, so this will be of interest to the speakers as well. So
the microphone & speakers will have to communicate between themselves
anyway, whichever one got the RTCP.

...Mark